Bug 57376 - /etc/init.d/httpd fullstatus fails
Summary: /etc/init.d/httpd fullstatus fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-11 02:36 UTC by Stephen John Smoogen
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version: Fedora
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 22:27:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen John Smoogen 2001-12-11 02:36:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6+) Gecko/20011210

Description of problem:
The command 
/etc/init.d/httpd reports the following possible options:
Usage: httpd
{start|stop|restart|condrestart|status|fullstatus|graceful|help|configtest}

All seem to work except the fullstatus screen which reports the usual I
dont know what you are talking about error :)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/httpd fullstatus
	

Actual Results:  root:{conf}# /etc/init.d/httpd fullstatus
Usage: httpd
{start|stop|restart|condrestart|status|fullstatus|graceful|help|configtest}
root:{conf}# /etc/init.d/httpd status
httpd (pid 1083 1082 1081 1080 1079 1078 1077 1076 1057) is running...


Expected Results:  From the help page, it is supposed to dump a fullstatus
of data from mod_status. Personally, I think it is probably just an option
that shouldnt be listed.

Additional info:

Comment 1 Brian Brock 2002-04-02 20:37:43 UTC
verified in apache-1.3.23-8.

Comment 2 Aaron VanDevender 2002-05-09 03:51:04 UTC
bug still exists in apache-1.3.23-11 (RHL 7.3).

Inspection of /etc/init.d/httpd reveals that fullstatus is not implemented at
all for this script.


Note You need to log in before you can comment on or make changes to this bug.